Update Progress For User And Package
PUT
/api/v1/learners/me/{package}
const url = 'https://example.com/api/v1/learners/me/QUANTUM_DISCOVERY';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"progress":{"additionalProperty":{"stage":"DONE","timecode":1}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/learners/me/QUANTUM_DISCOVERY \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "progress": { "additionalProperty": { "stage": "DONE", "timecode": 1 } } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”package
required
ProjectPackage
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NonPaginatedResponse
object
data
Any of:
Array<object>
BaseModelobject
BaseModel
object
null
Examplegenerated
{ "data": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}